import { get, post } from "@/utils/request";

// 获取数据表配置列表
export function getModularList({ page, perPage, modularName, projectId }) {
  return get({
    url: "/api/v1/modular/list",
    params: {
      page,
      per_page: perPage,
      modular_name: modularName,
      project_id: projectId,
    },
  });
}

// 获取数据表配置详情
export function getModularDetail({ modularId }) {
  return get({
    url: "/api/v1/modular/info",
    params: {
      modular_id: modularId,
    },
  });
}

// 保存数据库配置
export function saveModular(data) {
  return post({
    url: "/api/v1/modular/save",
    data,
  });
}

// 删除数据库配置
export function deleteModular(data) {
  return post({
    url: "/api/v1/modular/del",
    data,
  });
}

// 修改数据表状态
export function updateStatus(data) {
  return post({
    url: "/api/v1/modular/change-status",
    data,
  });
}

// 项目下拉
export function getProjectSelect() {
  return get({
    url: `/api/v1/project/get-project-drop`,
  });
}

// 数据表源下拉
export function getDbTableSelect({ projectId }) {
  return get({
    url: `/api/v1/modular/get-database-table-drop`,
    params: {
      project_id: projectId,
    },
  });
}

// 字段搜索类型下拉
export function getFieldTypeSelect() {
  return get({
    url: `/api/v1/field/get-field-type-drop`,
  });
}

// 字段类型下拉
export function getFieldNumSelect() {
  return get({
    url: `/api/v1/field/get-field-numerical-type-drop`,
  })
}

// 获取字段列表
export function getFieldList({ modularId, fieldName, page, perPage }) {
  return get({
    url: "/api/v1/field/list",
    params: {
      modular_id: modularId,
      field_name: fieldName,
      page,
      per_page: perPage,
    },
  });
}

// 获取字段详情
export function getFieldDetail({ fieldId }) {
  return get({
    url: "/api/v1/field/info",
    params: {
      field_id: fieldId,
    },
  });
}

// 保存字段
export function saveField(data) {
  return post({
    url: "/api/v1/field/save",
    data,
  });
}

// 删除字段
export function deleteField(data) {
  return post({
    url: "/api/v1/field/del",
    data,
  });
}
